<?php
//----------------------------------------------------------------------------------------------------
// Html Class
//----------------------------------------------------------------------------------------------------
//
//
final class xhtml {

	private $page		= null;
	private $header		= null;
	private $content	= null;
	private $footer		= null;
	public  $path_css	= null;
	public  $path_js	= null;

	/*
	 * Display
	 */
	public function __tostring(){
		return $this->page;
	}

	/*
	 * Build
	 */
	private function build(){
		$this->page=$this->header.$this->getMenu().$this->content.$this->footer;
	}
	
	/*
	 * Init
	 */
	private function init() {
		$this->path_css='data/css/';
		$this->path_js='data/js/';
		$this->header=$this->getHeader();
		$this->footer=$this->getFooter();
	}
	
	/*
	 * Constructor
	 */
	public function __construct() {
		$this->init();
		if (func_num_args()>0){
			$this->content=func_get_arg(0);
			$this->build();
		}
		else {
			$this->page=$this->header.$this->footer;
		}
	}

	/*
	 * Setters
	 */
	public function cleanContent(){
		$this->content='';
		$this->build();
	} 
	
	public function setContent($label,$content){
		$this->content.=$this->makeBlock_content($label,$content);
		$this->build();
	}

	private function makeBlock_content($label,$content){
		global $active_page;
		if ($label==$active_page) {$style='display:block';} else {$style='display:none';}
		$rt='<div id="bloc_'.$label.'" class="bloctexte" style="'.$style.'">'."\n".
	'<div class="content">'."\n".
	'<h1>&gt;&gt; '.ucfirst($label).'</h1><hr />'."\n".
		$content."\n".
	'</div>'."\n".'</div>';
		return $rt;
		unset($rt);
	}
	
	
	/*
	 * Getters
	 */
	
	/*
	 * getMetaContent
	 */
	private function getMetaContent()
	{
		global $metaContentList;$rt='';
		foreach ($metaContentList as $metaContent=>$equiv)
		{$rt.='<meta content="'.$metaContent.'" http-equiv="'.$equiv.'"></meta>'." \n";}
		return $rt;
	}

	/*
	 * getNameContent
	 */
	private function getNameContent()
	{
		global $metaNameList;$rt='';
		foreach ($metaNameList as $metaName=>$content)
		{$rt.='<meta name="'.$metaName.'" content="'.$content.'"></meta>'." \n";}
		return $rt;
	}

	/*
	 * getStyle
	 */
	private function getStyle()
	{
		global $styleList;$rt='';
		foreach ($styleList as &$style){$rt.='<link rel="stylesheet" type="text/css" href="'.$this->path_css.$style.'"/>'." \n";}
		return $rt;
	}

	/*
	 * getScript
	 */
	private function getScript()
	{
		global $scriptList;$rt='';
		foreach ($scriptList as &$script){$rt.='<script type="text/javascript" src="'.$this->path_js.$script.'"></script>'." \n";}
		return $rt;
	}

	/*
	 * getHeader
	 */
	private function getHeader()
	{
		global $doctype;
		global $title;
		$rt=$doctype." \n".
		//'<html xmlns="http://www.w3.org/1999/xhtml">'." \n".'<head>'." \n".
	'<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">'.'<head>'." \n".
		$this->getMetaContent().
		$this->getNameContent().
	'<link rel="icon" "image/jpg" href="images/tvs-ico.jpg">'.
		$this->getStyle().
		$this->getScript().
	'<title>'.$title.'</title>'." \n".'</head>'." \n".'<body>'." \n".'<div class="wrapper">'." \n";
		return $rt;
	}
	
	/*
	 * getMenu
	 */
	private function getMenu()
	{
		global $menus;
		$rt='<div id="menu"><div id="logo"></div>'." \n";
		foreach($menus as $menu){
			$rt.='<a href="" onclick="AfficheTexte(\''.$menu.'\'); return false;" class="onglet">'.ucfirst($menu).'</a>'." \n";
		}
		$rt.='<div style="color:#FF8000;" id="clock"></div><div style="clear: both;"></div><!-- Eof clear --></div><!-- Eof menu -->';
		return $rt;
		unset($rt);
	}
	

	/*
	 * getFooter
	 */
	private function getFooter()
	{
		global $version;
		global $mentions_legales;
		$rt=" \n".
		'<div class="push"></div><!--End of Push-->'." \n".
		'</div><!--End of Wrapper-->'." \n".
		'<div id="footer" class="footer">'.$mentions_legales.'</div><!--End of Footer-->'." \n".
		'</body>'." \n".
		'</html>';
		return $rt;
	}

	function display_exitForm(){
		return '<form id="disco" name="disco" method="post" action="index.php">'." \n".
		'<input type="hidden" name="reponse" value="end"/>'." \n".'</form>';
	}

	function display_exitButton(){
		return '<input id="buttonExit" type="button" name="exit" value=" Exit " title="Exit" onclick="$j(\'#disco\').submit();"/>'." \n";
	}
	
	
	
	function makeSelect($name,$arr,$critere){
		$rt='<select style="margin-left:10px;" name="'.$name.'">'." \n";
		foreach($arr as $key=>$value){
			if ($value==$critere){$sup=' selected="selected" ';} else {$sup='';}
			$rt.='<option '.$sup.' value="'.$value.'">'.$value.'</option>'." \n";
		}
		$rt.='</select>'." \n";
		return $rt;
	}

	function makeBr(){return '<br style="clear:both"/>'." \n";}
	function makeLabel($label){return '<span class="label">'.$label.'</span>';}
	function makeInput($name,$value){return '<input class="iform" type="text" name="'.$name.'" value="'.$value.'"/>';}
	function makeInputLarge($name,$value){return '<input class="iformlarge" type="text" name="'.$name.'" value="'.$value.'"/>';}
	function makePasswordInput($name,$value){return '<input class="iform" type="password" name="'.$name.'" value="'.$value.'"/>';}
	function makeHiddenInput($name,$value){return '<input class="iform" type="hidden" name="'.$name.'" value="'.$value.'"/>';}
	function makeCheckbox($name,$value){return '<input class="iform" type="checkbox" name="'.$name.'" value="'.$value.'"/>';}
	function makeRadio($name,$value){
		if ($_POST[$name]==$value) {$sup='checked';} else {$sup='';}
		return '<input class="iform" type="radio" name="'.$name.'" value="'.$value.'" '.$sup.'/>';}
		function makeText($name,$value){return '<textarea name="'.$name.'" class="iform">'.$value.'</textarea>';}
		function makeLI($label,$name,$value){return makeLabel($label).makeInput($name,$value).makeBr();}
		function makeLIL($label,$name,$value){return makeLabel($label).makeInputLarge($name,$value).makeBr();}
		function makeLIP($label,$name,$value){return makeLabel($label).makePasswordInput($name,$value).makeBr();}
		function makeLT($label,$name,$value){return makeLabel($label).makeText($name,$value).makeBr();}
		function makeSubmit($name){return '<input type="submit" value="'.$name.'" />';}
		function makeClearButton($formId){return '<input type="button" value="Clear" onclick="clearForm(\''.$formId.'\');"/>';}


		function displayButtonCol($dico){
			$testbutton='<div class="ColButton">';$ci=0;
			foreach(array_keys($dico) as $key){
				$ci++;
				if (!($ci%10)) {$sup='<br />';} else {$sup='';}
				$testbutton.='<input id="toogle'.$key.'" class="toggleColButton" type="button" value="Hide '.$key.
 					'" tabindex="'.$ci.'"/>'.$sup;
			}
			$testbutton.='</div>';
			return $testbutton;
		}
		
function dump($o) {echo '<pre>'.print_r($o,true).'</pre><hr>';}

}

?>